      program renumwpstrm
C........................................................Sep 2022
C Correct tec_geom storm numbers
C
      CHARACTER*120 infile,outfile
	CHARACTER*70 txt
	CHARACTER*14 txt1
	CHARACTER*32 txt2
C
      infile='d:\web\storm\tecstorm_geom.txt' 
	outfile='tecstorm_geom.out'
	OPEN(10,file=infile,action='READ')
	OPEN(12,file=outfile,access='APPEND')
C
   30	format(I4,A14,I4,I2,I2,2X,I2,2X,F4.1,A32)
   31	format(I4,2(1X,I2),1X,F8.3,2X,I3)
   32	format(1X,F8.3,1X,I3,3(1X,A2),1X,F4.1,1X,I3)
   33	format(A70)
	DO i=1,8
	read(10,*) txt
	ENDDO
	nn=0
    1	read(10,30,end=51) num,txt1,iyear,imn,idy,iut,wp,txt2
      nn=nn+1
	write(*,30) nn,txt1,iyear,imn,idy,iut,wp,txt2
		write(12,30) nn,txt1,iyear,imn,idy,iut,wp,txt2
	goto 1													 
  51  close(10)
      close(12)
	pause ' '
	STOP
	END